=head1 NAME

topformflat - flattens code with balanced delimiters

=head1 SYNOPSIS

B<topformflat> [I<threshold>]

=head1 DESCRIPTION

B<topformflat> is a utility flattens code written in a language with balanced
delimiters (such as C), so that all nesting below a specified depth is one one
line.

The I<threshold> (default: 0) specifies at what nesting level of braces will
line breaks be allowed (or inserted). By starting with 0, you get all top-level
forms, one per line (roughly). Increasing the threshold leads to finer-grained
structure on each line. The intent is to use the Delta minimizer on each level
of granularity.

=head1 SEE ALSO

L<singledelta(1)>, L<multidelta(1)>

=cut
